Page MenuHomePhabricator

All edits on Wikidata and Commons tagged as "suggested edits" between approx. 23:40 and 00:00 UTC on 2020-03-11
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2020, 11:49 PM
Bugreporter triaged this task as Unbreak Now! priority.Mar 11 2020, 11:51 PM

Since about 23:40 UTC

Permalink: https://archive.is/aS8Nl

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 11 2020, 11:51 PM
Restricted Application added a subscriber: Mholloway. · View Herald Transcript

Change 579092 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@master] Revert "Fix revert counting for non-language-specific counters"

https://gerrit.wikimedia.org/r/579092

Change 579092 merged by Mholloway:
[mediawiki/extensions/WikimediaEditorTasks@master] Revert "Fix revert counting for non-language-specific counters"

https://gerrit.wikimedia.org/r/579092

Change 579093 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.23] Revert "Fix revert counting for non-language-specific counters"

https://gerrit.wikimedia.org/r/579093

Change 579093 merged by Mholloway:
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.23] Revert "Fix revert counting for non-language-specific counters"

https://gerrit.wikimedia.org/r/579093

Mentioned in SAL (#wikimedia-operations) [2020-03-12T00:00:24Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.23/extensions/WikimediaEditorTasks: Revert 'Fix revert counting for non-language-specific counters' (T247479) (duration: 01m 07s)

Should be fixed by the above, can someone verify?

This no longer happens. But is it a proper fix? or a workaround?

The code that caused the issue was reverted. Some additional cleanup will be needed.

Change 579096 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.22] Revert "Fix revert counting for non-language-specific counters"

https://gerrit.wikimedia.org/r/579096

Mholloway lowered the priority of this task from Unbreak Now! to High.Mar 12 2020, 12:26 AM

Lowering the priority since this is no longer happening.

Mholloway renamed this task from All edits in Wikidata are tagged as "suggested edits" to All edits in Wikidata tagged as "suggested edits" between approx. 23:40 and 00:00 UTC on 2020-03-11.Mar 12 2020, 12:28 AM
Mholloway renamed this task from All edits in Wikidata tagged as "suggested edits" between approx. 23:40 and 00:00 UTC on 2020-03-11 to All edits on Wikidata and Commons tagged as "suggested edits" between approx. 23:40 and 00:00 UTC on 2020-03-11.Mar 12 2020, 12:37 AM
Mholloway updated the task description. (Show Details)

Change 579096 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.22] Revert "Fix revert counting for non-language-specific counters"

https://gerrit.wikimedia.org/r/579096

Mentioned in SAL (#wikimedia-operations) [2020-03-12T01:51:32Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.22/extensions/WikimediaEditorTasks: Revert 'Fix revert counting for non-language-specific counters' (T247479) (duration: 01m 08s)

Mholloway closed this task as Resolved.Mar 13 2020, 12:17 AM

After some discussion, it's probably best just to let the affected revisions be. There were 11,903 affected revisions on Wikidata, and 3,579 on Commons. I've uploaded lists of affected revision IDs as F31678573 and F31678574.

Forgot to add: thanks very much @Bugreporter for quickly noticing and reporting this!